local json = require("json")
local utils = require("utils")
local const = require("const")
local request_method = ngx.var.request_method
local max_task_count = 30 

utils.check_login()
_, login_token = utils.check_permission("FunctionComputeManage")

if "POST" == request_method then
    local utils_header = require("utils_header")
    local params = utils_header.check_public_boby_data()
    local ok, msg_raw, err = utils.dbus_call_edge(const.function_compute.wkn,
                                        const.function_compute.obj,
                                        const.function_compute.inf,
                                        const.function_compute.method.reset)

    local msg_ret = {}
    if (ok and msg_raw) then
        local ok, msg = pcall(json.decode, msg_raw[1])
      
        msg_ret["code"] = 400
        msg_ret["data"] = msg["data"]
        msg_ret["message"] = msg["message"]
        
        if (ok and 0 == msg["code"]) then
            msg_ret["code"] = 200
            msg_ret["data"] = msg["data"]
            msg_ret["message"] = "success"
        end
        
        ngx.say(json.encode(msg_ret))
        ngx.flush(true)
        ngx.exit(ngx.HTTP_OK)
    else
        utils.error_exit(500, json.encode("failed to invoke function: "..err))
    end 
end
utils.error_exit(400, "unsupported request method")

